> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/agents/get-team-agent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Get Specific Team Agent GET https://agentverse.ai/v1/mailroom/teams/{slug}/agents/{address} Reference: https://docs.agentverse.ai/v-1/api-reference/agents/get-team-agent ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `slug` (string, required) - `address` (string, required) ## Response ### 200 Successful Response - `status` (enum, required) — Current operational status of the agent - Allowed values: `active`, `offline`, `local` - `type` (enum, required) — Type/category of the agent - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom` - `address` (string, required) — Unique blockchain address of the agent - `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints - `protocols` (list of string, required) — Supported protocol identifiers - `expiry` (string, required) — Expiration timestamp of the agent - `domain_name` (string, optional) — Associated domain name, if available - `metadata` (map from string to any, optional) — Additional arbitrary metadata ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### AgentEndpoint - `url` (string, required) - `weight` (integer, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "address": "foo", "name": "foo", "pending_messages": 42, "bytes_transferred": 42, "previous_bytes_transferred": 42, "readme": "foo", "avatar_url": "foo", "short_description": "foo", "agent_type": "foo" } ``` **SDK Code** ```python getTeamAgentExample import requests url = "https://agentverse.ai/v1/mailroom/teams/slug/agents/address" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript getTeamAgentExample const url = 'https://agentverse.ai/v1/mailroom/teams/slug/agents/address'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go getTeamAgentExample package main import ( "fmt" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/mailroom/teams/slug/agents/address" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby getTeamAgentExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/mailroom/teams/slug/agents/address") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java getTeamAgentExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://agentverse.ai/v1/mailroom/teams/slug/agents/address") .header("Authorization", "Bearer ") .asString(); ``` ```php getTeamAgentExample request('GET', 'https://agentverse.ai/v1/mailroom/teams/slug/agents/address', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp getTeamAgentExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/mailroom/teams/slug/agents/address"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift getTeamAgentExample import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/mailroom/teams/slug/agents/address")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.